"use strict";

const React = require("react");

const useTheme = require("../../util/themeable");
const defaultStyle = require("./style.css");

module.exports = function MenuDivider() {
	let { withTheme } = useTheme({ control: "menu", defaultStyle });

	return <hr className={withTheme("uilibComponent", "divider")} />;
};
