"use strict";

function normalizeGridCellSize(value) {
	if (typeof value === "number") {
		return `${value}fr`;
	} else {
		return value;
	}
}

module.exports = function generateGridTemplateString(values) {
	return values
		.map((value) => normalizeGridCellSize(value))
		.join(" ");
};
