"use strict";

const defaultValue = require("default-value");
const insecureNanoid = require("nanoid/non-secure").nanoid;
const useGuaranteedMemo = require("./use-guaranteed-memo");

module.exports = function useID(explicitID) {
	let generatedID = useGuaranteedMemo(() => insecureNanoid());

	return defaultValue(explicitID, generatedID);
};
